Loading...
Searching...
No Matches
BALL::VIEW::CreateRepresentationMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::CreateRepresentationMessage:

## Public Member Functions

| CreateRepresentationMessage ()
| CreateRepresentationMessage (const std::list< Composite * > &composites, ModelType model_type, ColoringMethod coloring_method)
const std::list< Composite * > & | getComposites () const
ModelType | getModelType () const
ColoringMethod | getColoringMethod () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Detailed Description

Notify the DisplayProperties dialog so that it creates a new Representation.

  Send by the MolecularControl.

Definition at line 689 of file message.h.

## Constructor & Destructor Documentation

## CreateRepresentationMessage() [1/2]

BALL::VIEW::CreateRepresentationMessage::CreateRepresentationMessage | ( |  | ) |

## CreateRepresentationMessage() [2/2]

BALL::VIEW::CreateRepresentationMessage::CreateRepresentationMessage | ( | const std::list< Composite * > & | composites,
|  | ModelType | model_type,
|  | ColoringMethod | coloring_method )

## Member Function Documentation

## getColoringMethod()

ColoringMethod BALL::VIEW::CreateRepresentationMessage::getColoringMethod | ( |  | ) | const

inline

Definition at line 711 of file message.h.

## getComposites()

const std::list< Composite * > & BALL::VIEW::CreateRepresentationMessage::getComposites | ( |  | ) | const

inline

Definition at line 703 of file message.h.

## getModelType()

ModelType BALL::VIEW::CreateRepresentationMessage::getModelType | ( |  | ) | const

inline

Definition at line 707 of file message.h.